<?php
/*
Officity - Web application platform - Version 6.0 - 2011-07-05

François Dispaux, Boris Verdeyen, Thomas Hermant,
Jérémie Roy, Grégory Meurice, Abdelila Harbi, 
Marc Mignonsin, Jonathan Sanchez, Julien Gonzalez, Pierre Fouchez

Sushee and Officity is © Copyright 2011 Nectil SA.

`/sushee-source/sushee/common/constants.inc.php` is part of Officity.

Sushee is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Officity and Sushee are distributed in the hope that they will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Sushee. If not, see <http://www.gnu.org/licenses/>.
*/

// *** MSGType ***
// 0 = no error
// 1 = operation failed
// 2 = operation couldn't be achieved because of security restriction
define('SUSHEE_MSGTYPE_SUCCESS',0);
define('SUSHEE_MSGTYPE_ERROR',1);
define('SUSHEE_MSGTYPE_SECURITYERROR',2);

// *** Error codes ***
// 1 = Element was modified since you loaded it. Reload it.
// 2 = Email ... already used.
// 3 = ClientCode ... already used.
// 4 = update/delete on an empty element set (UPDATE WHERE)
// 5 = remove failed, because element does not exist
// 6 = processor exception
// 7 = element already exists
define('SUSHEE_ERROR_ELTMODIFIED',1);
define('SUSHEE_ERROR_EMAILDUPLICATE',2);
define('SUSHEE_ERROR_CLIENTCODEDUPLICATE',3);
define('SUSHEE_ERROR_EMPTYELEMENTSET',4);
define('SUSHEE_ERROR_ELTNOTFOUND',5);
define('SUSHEE_ERROR_PROCESSOREXCEPTION',6);
define('SUSHEE_ERROR_ELTEXISTS',7);


// *** Activity ***
// 1 = active
// 0 = deleted
// 2 = waiting for approval
// 3 = system
define('SUSHEE_ACTIVITY_ACTIVE',1);
define('SUSHEE_ACTIVITY_DELETED',0);
define('SUSHEE_ACTIVITY_WAITING',2);
define('SUSHEE_ACTIVITY_SYSTEM',3);


?>